﻿:root {
	--bs-font-sans-serif: "Google Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
	--bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
}

body {
	font-family: "Google Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
}

.loader {
	left: calc(50% + 58px);
	position: absolute;
	top: 50%;
	transform: translate(-50%, -50%) rotate(-90deg) scale(4);
}

	.loader span {
		animation: animate 2s linear infinite;
		background: transparent;
		display: block;
		height: 60px;
		margin-top: -46px;
		position: relative;
		width: 2px;
	}

		.loader span:before, .loader span:after {
			background: #f00;
			border-radius: 50%;
			content: "";
			height: 5px;
			left: 50%;
			position: absolute;
			transform: translateX(-50%);
			width: 5px;
		}

		.loader span:before {
			top: 0;
		}

		.loader span:after {
			bottom: 0;
		}

		.loader span:nth-child(1):before, .loader span:nth-child(1):after {
			background-color: #ff0;
		}

		.loader span:nth-child(2):before, .loader span:nth-child(2):after {
			background-color: #ff24a8;
		}

		.loader span:nth-child(3):before, .loader span:nth-child(3):after {
			background-color: #0f0;
		}

		.loader span:nth-child(4):before, .loader span:nth-child(4):after {
			background-color: #2196f3;
		}

		.loader span:nth-child(1) {
			animation-delay: 0s;
		}

		.loader span:nth-child(2) {
			animation-delay: 0.5s;
		}

		.loader span:nth-child(3) {
			animation-delay: 1s;
		}

		.loader span:nth-child(4) {
			animation-delay: 1.5s;
		}

@keyframes animate {
	0%, 75% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(180deg);
	}
}

mark {
	background-color: #2c7be5;
}

a, button {
	transition: all 0.15s ease-in-out;
}

	a:hover {
		cursor: pointer;
	}

.btn {
	font-weight: 500;
	text-transform: uppercase;
}

	.btn:focus {
		box-shadow: none;
	}

.btn-lg {
	font-size: 14px;
	letter-spacing: 0.025em;
	padding: 10px 24px;
}

* + .divider-small {
	margin-top: 12px;
}

.divider-small {
	font-size: 0;
	line-height: 0;
}

	.divider-small:after {
		background: #35ad79;
		content: "";
		display: inline-block;
		height: 3px;
		width: 44px;
	}

.divider-secondary:after {
	background: #fcef57;
}

.b-layout-root .b-layout .b-layout-content > .container-fluid {
	padding-top: 0.75rem;
}

/**:hover, *:focus, *:active {
	outline: none;
}

ul, ol {
	margin-top: 0;
	margin-bottom: 10px;
	padding-left: 40px;

	li {
		color: #171717;
	}
}

ul {
	list-style: none;
	padding: 0;
}

img {
	width: 100%;
}

input[type='password'] {
	letter-spacing: .2em;
}

a {
	color: $link-color;
	cursor: pointer;
	text-decoration: none;
	transition: all .3s ease 0s, visibility 0s ease 0s;
	word-wrap: break-word;

	&:active,
	&:hover {
		color: $link-hover-color;
		text-decoration: none;
	}
}

small, .small {
	font-size: .8125rem;
}

hr {
	margin: 1.5rem 0 1rem;
}

.mr-auto, .mx-auto {
	margin-right: auto !important;
}

.ml-auto, .mx-auto {
	margin-left: auto !important;
}

#root {
	min-height: 100%;
	width: 100%;

	> .loader {
		left: 50%;
		position: absolute;
		top: 50%;
		transform: translate(-50%, -50%);
	}
}

.app {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	overflow-x: hidden;
	position: relative;
}

main {
	display: flex;
	flex: 1 0 auto;
	flex-direction: column;
}

.b-layout-root .b-layout .b-layout-content {
	> .container-fluid {
		padding-top: .75rem;
	}
}

#blazor-error-ui {
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;

	.dismiss {
		cursor: pointer;
		position: absolute;
		right: 0.75rem;
		top: 0.5rem;
	}
}

.loading__bar {
	background-color: #fff;
	box-shadow: 0 1px 3px rgba(0,0,0,.2);
	height: 6px;
	left: calc(50% - 250px);
	overflow: hidden;
	position: absolute;
	top: calc(50% - 3px);
	width: 500px;

	&:after {
		animation: progressbar-slide 1s infinite;
		animation-timing-function: ease-in-out;
		background-color: $primary;
		content: '';
		display: block;
		height: 100%;
		width: 200px;
	}
}

@keyframes progressbar-slide {
	0% {
		transform: translateX(-200px);
	}

	70% {
		transform: translateX(500px);
	}

	100% {
		transform: translateX(500px);
	}
}

.pick__bin .form-group {
	margin: 0;
}

.vertical__bins {
	display: flex;
	gap: 5px;
}*/

.pick__bin .form-group {
	margin: 0;
}

.bar__report-type {
	background-color: #0049b0;
	border-radius: 6px;
	margin-top: 1rem;
	margin-bottom: 1rem;
	padding: 1rem;
}

.page__filter {
	background-color: #f3f3f3;
	border-radius: 6px;
	margin-top: 0.5rem;
	margin-bottom: 0.5rem;
	padding: 0.3rem;
}

	.page__filter .date__edit,
	.page__filter .dropdown,
	.page__filter .btn {
		margin-right: 1em;
	}

	.page__filter > .row {
		margin-top: 0;
		margin-bottom: 0;
	}

.col-form-label {
	font-size: 14px;
}

.e-grid {
	font-family: "Google Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
	/*.e-headercell {
  	background-color: #d9dfe1;
  }

  .e-headercelldiv {
  	font-size: 21px;
  }

  .e-gridcontent {
  	.e-table {
  		.e-row {
  			background-color: #f9f9f9;

  			&.e-altrow {
  				background-color: #fff;
  			}
  		}
  	}
  }

  .e-rowcell {
  	font-size: 21px;
  }*/
}

	.e-grid .e-rowcell, .e-grid .e-headercelldiv {
		font-size: 12px;
	}

.performance-indicators {
	align-items: center;
	display: flex;
	justify-content: center;
}

	.performance-indicators > div {
		background-color: #ccc;
		border-radius: 50%;
		display: inline-block;
		height: 20px;
		margin-left: .25em;
		width: 20px;
	}

		.performance-indicators > div.indicator-green {
			background-color: green;
		}

		.performance-indicators > div.indicator-amber {
			background-color: orange;
		}

		.performance-indicators > div.indicator-red {
			background-color: red;
		}

.b-layout-header {
	background: #fff;
	box-shadow: 0 1px #e3e8ee;
}

	.b-layout-header .navbar > .navbar-collapse {
		display: flex;
		justify-content: space-between;
	}

	.b-layout-header .navbar .navbar-nav {
		display: inline-block;
	}

@media (min-width: 768px) {
	.b-layout-header .navbar .navbar-nav {
		align-items: center;
		display: flex;
	}
}

.b-layout-header .navbar .navbar-nav .navbar-mobile-toggle {
	border: 0;
	margin-left: 4px;
}

@media (min-width: 768px) {
	.b-layout-header .navbar .navbar-nav .navbar-mobile-toggle {
		display: none !important;
	}
}

.b-layout-header .navbar .navbar-nav .navbar-mobile-toggle i {
	color: #333;
	font-size: 20px;
}

.b-layout-header .navbar .navbar-nav .navbar-mobile-toggle .navbar-toggler-icon {
	display: none;
}

.b-layout-header .navbar .navbar-nav img {
	display: none;
	margin: 2px 6px;
}

@media (min-width: 768px) {
	.b-layout-header .navbar .navbar-nav img {
		display: inline-block;
	}
}

.b-layout-header .navbar .navbar-nav a, .b-layout-header .navbar .navbar-nav .btn-link {
	color: #2c7be5;
	font-size: 14px;
	font-weight: 400;
	text-decoration: none;
	text-transform: none;
}

	.b-layout-header .navbar .navbar-nav a:hover, .b-layout-header .navbar .navbar-nav .btn-link:hover {
		text-decoration: underline;
	}

.b-layout-header .navbar .navbar-nav img {
	max-height: 40px;
}

.b-layout-sider {
	box-shadow: 1px 0 #e3e8ee;
	display: flex;
	position: relative;
}

	.b-layout-sider .b-bar-vertical-inline .b-bar-toggler-inline,
	.b-layout-sider .b-bar-vertical-popout .b-bar-toggler-inline,
	.b-layout-sider .b-bar-vertical-small .b-bar-toggler-inline {
		border-radius: 100%;
		height: 48px;
		margin: 6px 0 0 6px;
		position: relative;
		width: 48px;
	}

	.b-layout-sider .b-bar-vertical-inline.b-bar-dark,
	.b-layout-sider .b-bar-vertical-popout.b-bar-dark,
	.b-layout-sider .b-bar-vertical-small.b-bar-dark {
		background: #0049b0;
	}

	.b-layout-sider .b-bar-vertical-inline:not([data-collapse]) .b-bar-toggler-inline:not(.b-bar-mobile-toggle) {
		display: inline-flex;
		text-decoration: none;
	}

		.b-layout-sider .b-bar-vertical-inline:not([data-collapse]) .b-bar-toggler-inline:not(.b-bar-mobile-toggle) i {
			color: #fff;
			font-size: 20px;
		}

		.b-layout-sider .b-bar-vertical-inline:not([data-collapse]) .b-bar-toggler-inline:not(.b-bar-mobile-toggle) .navbar-toggler-icon {
			display: none;
		}

	.b-layout-sider .b-bar-vertical-small,
	.b-layout-sider .b-bar-vertical-inline,
	.b-layout-sider .b-bar-vertical-popout {
		overflow: hidden;
		position: absolute;
	}

@media (min-width: 768px) {
	.b-layout-sider .b-bar-vertical-small,
	.b-layout-sider .b-bar-vertical-inline,
	.b-layout-sider .b-bar-vertical-popout {
		position: relative;
	}
}

.b-layout-sider .b-bar-vertical-small,
.b-layout-sider .b-bar-vertical-inline[data-collapse=small],
.b-layout-sider .b-bar-vertical-popout[data-collapse=small] {
	min-width: 0;
	overflow: hidden;
	position: absolute;
	width: 0;
}

@media (min-width: 768px) {
	.b-layout-sider .b-bar-vertical-small,
	.b-layout-sider .b-bar-vertical-inline[data-collapse=small],
	.b-layout-sider .b-bar-vertical-popout[data-collapse=small] {
		min-width: 64px;
		position: relative;
		width: 64px;
	}
}

.b-layout-sider .b-bar-vertical-inline:not([data-collapse]) {
	min-width: 230px;
}

.full-layout {
	background-color: #0049b0;
}

	.full-layout .h1 {
		color: #fff;
		text-align: center;
	}

	.full-layout .container {
		flex: 1;
	}

		.full-layout .container > .row {
			height: 100%;
		}

			.full-layout .container > .row > div {
				display: flex;
				flex-direction: column;
				justify-content: center;
			}

	.full-layout .card {
		margin-bottom: 24px;
		width: 100%;
	}

		.full-layout .card .card-header,
		.full-layout .card .card-footer {
			background-color: transparent;
			border-radius: 0.3em;
		}

		.full-layout .card .card-header {
			border-bottom: 0;
		}

		.full-layout .card .card-title {
			font-size: 1rem;
			font-weight: 600;
			margin-top: 1rem;
			text-align: center;
		}

.subscriptions__list {
	display: flex;
	flex-direction: column;
	justify-content: center;
	margin: 1em 0 2em;
}

@media (min-width: 768px) {
	.subscriptions__list {
		flex-direction: row;
	}
}

.subscriptions__list .subscriptions__list-item {
	border: 1px solid #d5d8de;
	border-radius: 3px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding: 1em;
	width: 320px;
}

	.subscriptions__list .subscriptions__list-item:not(:last-child) {
		margin-right: 1em;
	}

	.subscriptions__list .subscriptions__list-item .subscription-title {
		margin-bottom: 0.5em;
	}

	.subscriptions__list .subscriptions__list-item .subscription-price {
		color: #0049b0;
		font-size: 1.75rem;
		font-weight: bold;
	}

	.subscriptions__list .subscriptions__list-item .subscription-subprice {
		font-size: 0.875rem;
		margin: 0;
	}

	.subscriptions__list .subscriptions__list-item .subscription-description {
		line-height: 1;
		margin: 1em 0;
	}

	.subscriptions__list .subscriptions__list-item.-active {
		border-color: #0049b0;
	}

.entities__list {
	display: flex;
	flex: 1;
	flex-wrap: wrap;
	justify-content: center;
	margin: 1em 0 2em;
}

	.entities__list .entities__list-item {
		align-items: center;
		border: 1px solid #d5d8de;
		border-radius: 3px;
		box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
		cursor: pointer;
		display: flex;
		height: 140px;
		justify-content: center;
		width: 140px;
	}

		.entities__list .entities__list-item:not(:last-child) {
			margin-right: 0.5em;
		}

		.entities__list .entities__list-item .btn {
			align-items: center;
			color: #333;
			display: flex;
			flex-direction: column;
			height: 100%;
			justify-content: center;
			padding: 1em;
			text-align: center;
			width: 100%;
		}

			.entities__list .entities__list-item .btn:hover {
				background: none;
				text-decoration: none;
			}

			.entities__list .entities__list-item .btn i {
				font-size: 3rem;
			}

			.entities__list .entities__list-item .btn span {
				font-weight: 600;
				margin-top: 0.5em;
			}

		.entities__list .entities__list-item:hover {
			opacity: 0.8;
		}

.social__login {
	margin: 28px 0 16px;
	text-align: center;
}

	.social__login .social__login-heading {
		color: #97a0af;
		display: flex;
		flex-direction: row;
		font-size: 11px;
		margin-bottom: 16px;
		text-transform: uppercase;
	}

		.social__login .social__login-heading:before, .social__login .social__login-heading:after {
			border-bottom: 1px solid #d5d8de;
			content: "";
			flex: 1 1;
			margin: auto;
		}

		.social__login .social__login-heading:before {
			margin-right: 0.5em;
		}

		.social__login .social__login-heading:after {
			margin-left: 0.5em;
		}

	.social__login .social__button {
		background-color: #fff;
		border: 0;
	}

		.social__login .social__button:not(:disabled):not(.disabled):hover, .social__login .social__button:not(:disabled):not(.disabled):active, .social__login .social__button:not(:disabled):not(.disabled):focus {
			background: none;
			box-shadow: none;
			opacity: 0.8;
		}

		.social__login .social__button img {
			height: 32px;
			width: 32px;
		}
